#!/usr/bin/env python2

from plot_defaults import *

itbh1, tbh1, xbh1, ybh1, zbh1, rbh1 = np.loadtxt("BH_diagnostics.ah1.gp",
                                                 usecols=(0,1,2,3,4,7), 
                                                 unpack=True)

itbh2, tbh2, xbh2, ybh2, zbh2, rbh2 = np.loadtxt("BH_diagnostics.ah2.gp",
                                                 usecols=(0,1,2,3,4,7), 
                                                 unpack=True)

fig  = plt.figure(figsize=(7, 6), dpi=100)
ax   = fig.add_subplot(111, aspect='equal') 
rmax = 3.5
ax.axis([-rmax,rmax,-rmax,rmax])
ax.set_xlabel('x/M')
ax.set_ylabel('y/M')


# plot
th = np.linspace(0,2*np.pi,100)
every = 15

# BH1
ax.plot(xbh1, ybh1, linestyle='-', color='black')

for xbh, ybh, rbh in zip ( xbh1[tbh1%every == 0.],  
                           ybh1[tbh1%every == 0.],  
                           rbh1[tbh1%every == 0.] ):
    xx = xbh + rbh*np.cos(th)
    yy = ybh + rbh*np.sin(th)
    ax.plot(xx, yy, linestyle=':', color='black')

# BH2
ax.plot(xbh2, ybh2, linestyle='-.', color='red')

for xbh, ybh, rbh in zip ( xbh2[tbh2%every == 0.],  
                           ybh2[tbh2%every == 0.],  
                           rbh2[tbh2%every == 0.] ):
    xx = xbh + rbh*np.cos(th)
    yy = ybh + rbh*np.sin(th)
    ax.plot(xx, yy, linestyle=':', color='red')


#plt.show()
plt.savefig('../figures/AH_traj.pdf')

