#!/usr/bin/python

# Plot evolution of central density
from plot_defaults import *

# stuff
xlim = (0,10)
ylim = (-140,-100)

# load data
Fx, Fy = np.loadtxt("hydrobase::rho.maximum.asc.bz2", comments="#", usecols=(1,2), unpack=True)

# Plot basics
fig = plt.figure(figsize=(6, 3))
fig.subplots_adjust(top=0.85, bottom=0.16, left=0.11,right=0.97)
ax = fig.add_subplot(1,1,1)

# plot
ax.plot(Fx, Fy/Fy[0], linestyle='-', color='black')

# plot properties
#ax.set_xlim(xlim)
#ax.set_ylim(ylim) 

#plt.title('PSD', fontsize=fontsize)

ax.set_xlabel(r't [M]')
ax.xaxis.set_major_locator(mticker.MaxNLocator(7))
ax.xaxis.set_minor_locator(mticker.MaxNLocator(14))
ax.xaxis.grid(False)
ax2 = ax.twiny()
ax2.set_xlabel(r't [ms]')
ax2.set_xlim((ax.get_xlim()[0]/M_to_ms, ax.get_xlim()[1]/M_to_ms))
ax2.xaxis.set_major_locator(mticker.MaxNLocator(7))
ax2.xaxis.set_minor_locator(mticker.MaxNLocator(14))
ax.set_ylabel(r'$\varrho_c/\varrho_c(0)$')
ax.yaxis.set_major_locator(mticker.MaxNLocator(5))
ax.yaxis.set_minor_locator(mticker.MaxNLocator(10))
ax.yaxis.grid(False)
set_tick_sizes(ax, 8, 4)

#plt.show()
plt.savefig('../figures/rho_max.pdf')
#plt.savefig('../figures/rho_max.png')

